Lossy jpeg compression result changes since 3.6.0 stable.
Description

While testing the dcmjpeg-warning commit (8ed8c53851531150c1e5102e5eb23c6aa5254004), | came across some files whose
compression-behaviour changed since the stable release 3.6.0:

/share/dicom/images/cabinet/cabinf0l.dio
/share/dicom/images/cabinet/cabinf02.dio
/share/dicom/images/cabinet/cabinf07.dio
/share/dicom/images/cabinet/cabinf08.dio

This is probably not a problem, since dcmcjpeg still creates valid files. However it seems that these changes are not intended and
therefore should be investigated further.

History

#1 - 2014-04-02 19:15 - J6rg Riesmeier

- Priority changed from Low to Immediate

#2 - 2014-04-07 10:38 - Jorg Riesmeier

- Priority changed from Immediate to Normal

#3 - 2017-03-14 18:19 - Jan Schlamelcher

- Status changed from New to Closed

Could not reproduce the problem with a freshly compiled DCMTK 3.6.0 vs. #8ed8c5385. It was most likely a problem with how testing was
performend or due to different compilers producing different output.
